<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TDualcontrolProgressLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.TDualcontrolProgressLog">
        <id column="id" property="id" />
        <result column="progress_id" property="progressId" />
        <result column="year" property="year" />
        <result column="quarter" property="quarter" />
        <result column="item_code" property="itemCode" />
        <result column="item_name" property="itemName" />
        <result column="item_status" property="itemStatus" />
        <result column="old_gdp_total" property="oldGdpTotal" />
        <result column="old_energy_total" property="oldEnergyTotal" />
        <result column="gdp_total" property="gdpTotal" />
        <result column="energy_total" property="energyTotal" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="dept_id" property="deptId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, progress_id, year, quarter, item_code, item_name, item_status, old_gdp_total, old_energy_total, gdp_total, energy_total, userid, update_time, del_flag, dept_id
    </sql>

</mapper>
